Page MenuHomePhabricator

FlaggedRevs bar for a template shown in all articles though there are no template versions to review
Closed, ResolvedPublic

Description

When editing any template which is used in some articles, the pending revisions bar appears in all the articles that the template imbeded in it although there is no pending revisions actually. Example is here

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: alanajjar, Aklapper. · View Herald TranscriptMar 8 2018, 5:09 PM
1339861mzb updated the task description. (Show Details)Mar 8 2018, 5:11 PM
1339861mzb updated the task description. (Show Details)
1339861mzb updated the task description. (Show Details)Mar 8 2018, 5:14 PM

(Removing Editing-team as it's up to teams to decide what to work on.)

I don't see the box that you are pointing to on https://ar.wikipedia.org/wiki/تفتيح_البشرة so I don't know what its text says.
By "the pending edit bar", do you mean Flagged Revisions or something else?
Can you please paste its text as text?

1339861mzb updated the task description. (Show Details)Mar 8 2018, 6:02 PM

Yes i means flagged revisions. Please look here the pending revisions bar text is:
تغييرات لقوالب/ملفات في هذه النسخة معلقة للمراجعة . فحصت النسخة المستقرة في 26 يناير 2018
Which means that: there is changes in a templates/files in this revision which are in pending state until editor check (revise) it. The published revision was checked (revised) in 26 January 2018.

Thanks, that is helpful! Going to https://ar.wikipedia.org/wiki/مصعب_بن_عمير?uselang=en the message displays as:

Template/file changes in this version are pending review. The stable version was checked on 26 January 2018.

Aklapper renamed this task from Pending edits bar problem to FlaggedRevs bar for a template shown in all articles though there are no template versions to review.Mar 8 2018, 7:52 PM

This problem related to local issue, I don't think there's anything can doing here on phabricator.

The story:
All articles that contain a template (dependent on wikidata local module) have the previous mentioned box.

For example:
https://ar.wikipedia.org/wiki/مصعب_بن_عمير
If you click on links mentioned on the box you'll go to this changes directly:

Template:Infobox person (قالب:صندوق معلومات شخص) dependent on 3 Wikidata local modules (mentioned above), so when you make a change on this modules it'll affect all templates dependent on it, then affect all articles contain this templates.

So if we go to any article without any templates (dependent on wikidata local modules), there will be no pending edits. But the problem here that almost all Arabic Wikipedia main templates dependent on wikidata local modules.

I hope it is clear now!

I think that T148603 has effect at this issue

When I traied to review Module:wikidata2 I get error message "Provided page is not reviewable."

Mentioned in SAL (#wikimedia-operations) [2018-03-19T13:20:11Z] <zfilipin@tin> Synchronized wmf-config/flaggedrevs.php: SWAT: [[gerrit:418700|Revert "Restrict FlaggedRevs to only operated on NS_MAIN on arwiki" (T148603 T189224)]] (duration: 00m 58s)

@alanajjar @Mr.Ibrahem I think this problem has been solved, Can you confirm that please?

alanajjar closed this task as Resolved.Mar 19 2018, 1:50 PM